/**
 * 审批模块(客户)
 */
import {httpGet,httpPost} from "@/utils/request.js"

/**
 * 客户搜索
 * @param {string} CompanyName 搜索值 
 */
export const apiCustomeSearch=params=>{
	return httpGet('/approval/company_list',params)
}

/**
 * 客户审批列表
 * @param {int}  PageSize  每页数据条数
 * @param {int}  CurrentIndex 当前页页码，从1开始
 * @param {string}  Status  状态：’全部(传空串)’,’待审批’,’已审批’,’驳回’,’已撤回’
 * @param {string}  KeyWord  搜索关键词    
 */
export const apiCustomeList=params=>{
	return httpGet('/approval/list',{...params,PageSize:20})
}

/**
 * 客户审批详情
 * @param {int} ApprovalId 审批单id
 */
export const apiCustomeDetail=params=>{
	return httpGet('/approval/detail',params)
}

/**
 * 合同详情
 * @param {int} CompanyId 客户ID
 * @param {int} CompanyContractId 合同id
 */
export const apiCustomeContractDetail=params=>{
	return httpGet('/company_contract/detail',params)
}

/**
 * 同意/拒绝审批 
 * @param {int} CompanyApprovalId 审批单id
 * @param {int} CompanyContractId 合同id
 * @param {int} CompanyId 客户id
 * @param {string} Remark 审批理由
 * @param {int} Status 审批状态，1:通过，2：拒绝
 */
export const apiCustomeApprove=params=>{
	return httpPost('/approval/approve',params)
}