/**
 * 用户模块
 */
import {httpGet,httpPost} from "@/utils/request.js"
import w_md5 from "@/js_sdk/zww-md5/w_md5.js"
/**
 * 微信登录 
 * @param {string}  Code	微信唯一编码code
 */
export const apiWXLogin=params=>{
	return httpGet('/wechat/wxapp/login',params)
}

/**
 * 用户账号登录
 * @param {string} Username 
 * @param {string} Password  md5加密
 */
export const apiLogin=params=>{
	return httpPost('/admin/login',{Username:params.Username,Password:w_md5.hex_md5_32(params.Password)})
}

/**
 * 退出登录
 */
export const apiLoginOut=()=>{
	return httpPost('/admin/logout',{})
}